package db;

import java.util.List;
import java.util.Map;

public abstract class DatabaseManager {
	
	protected DatabaseManager() {
		// Constructeur privé pour singelton
	}
	
	public abstract Map<String, String> create();
	
	public abstract Map<String, String> drop();
	
	public abstract List<String> content();

}
